# Method: partners.list

> [!WARNING]
> Display \& Video 360 API v2 has sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v2/partners/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v2/partners/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v2/partners/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v2/partners/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v2/partners/list#body.ListPartnersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v2/partners/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v2/partners/list#try-it)

Lists partners that are accessible to the current user.

The order is defined by the `https://developers.google.com/display-video/api/reference/rest/v2/partners/list#body.QUERY_PARAMETERS.order_by` parameter.

### HTTP request

`GET https://displayvideo.googleapis.com/v2/partners`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `200`. If unspecified will default to `100`. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v2/partners/list#body.ListPartnersResponse.FIELDS.next_page_token` returned from the previous call to `partners.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `displayName` The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. For example, `displayName desc`. |
| `filter` | `string` Allows filtering by partner fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `EQUALS (=)` operator. Supported fields: - `entityStatus` Examples: - All active partners: `entityStatus="ENTITY_STATUS_ACTIVE"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "partners": [ { object (`https://developers.google.com/display-video/api/reference/rest/v2/partners#Partner`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `partners[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v2/partners#Partner`)`` The list of partners. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v2/partners/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `partners.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).